# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac_instr::DrawPictureMotionParams Class Reference

Class encapsulating parameters for drawing the picture.

`#include <draw_overlay.h>`

## Public Member Functions
| DrawPictureMotionParams ()
| Default constuctor, does nothing. More...
| ~DrawPictureMotionParams ()
| Default destructor, does nothing. More...
int | MvYBlockY () const
| Gets... Returns luma motion vector block height. More...
int | MvYBlockX () const
| Returns luma motion vector block width. More...
int | MvUVBlockY () const
| Returns chroma motion vector height. More...
int | MvUVBlockX () const
| Returns chroma motion vector width. More...
int | ChromaFactorY () const
| Returns chroma - luma vertical smaple ratio. More...
int | ChromaFactorX () const
| Returns chroma - luma horizontal sample ratio. More...
int | PicY () const
| Returns original picture height. More...
int | PicX () const
| Returns original picture width. More...
void | SetMvYBlockY (int y)
| Sets... Set luma motion vector block height More...
void | SetMvYBlockX (int x)
| Set luma motion vector block width. More...
void | SetMvUVBlockY (int y)
| Set chroma motion vector block height. More...
void | SetMvUVBlockX (int x)
| Set chroma motion vector block width. More...
void | SetChromaFactorY (int y)
| Set chroma - luma vertical sample ratio. More...
void | SetChromaFactorX (int x)
| Set chroma - luma horizontal sample ratio. More...
void | SetPicY (int y)
| Set original picture height. More...
void | SetPicX (int x)
| Set original picture width. More...

## Private Attributes
int | m_mv_Y_block_y
| Motion vector block dimensions - luma. More...
int | m_mv_Y_block_x
int | m_mv_UV_block_y
| Motion vector block dimensions - chroma. More...
int | m_mv_UV_block_x
int | m_chroma_factor_y
| Chroma - luma sample ratio. More...
int | m_chroma_factor_x
int | m_pic_y
| Original picture dimensions. More...
int | m_pic_x

## Constructor & Destructor Documentation

## ◆ DrawPictureMotionParams()

dirac_instr::DrawPictureMotionParams::DrawPictureMotionParams | ( |  | ) |
| inline

## ◆ ~DrawPictureMotionParams()

dirac_instr::DrawPictureMotionParams::~DrawPictureMotionParams | ( |  | ) |
| inline

## Member Function Documentation

## ◆ ChromaFactorX()

int dirac_instr::DrawPictureMotionParams::ChromaFactorX | ( |  | ) | const
| inline

References m_chroma_factor_x.

## ◆ ChromaFactorY()

int dirac_instr::DrawPictureMotionParams::ChromaFactorY | ( |  | ) | const
| inline

References m_chroma_factor_y.

## ◆ MvUVBlockX()

int dirac_instr::DrawPictureMotionParams::MvUVBlockX | ( |  | ) | const
| inline

References m_mv_UV_block_x.

## ◆ MvUVBlockY()

int dirac_instr::DrawPictureMotionParams::MvUVBlockY | ( |  | ) | const
| inline

References m_mv_UV_block_y.

## ◆ MvYBlockX()

int dirac_instr::DrawPictureMotionParams::MvYBlockX | ( |  | ) | const
| inline

References m_mv_Y_block_x.

## ◆ MvYBlockY()

int dirac_instr::DrawPictureMotionParams::MvYBlockY | ( |  | ) | const
| inline

References m_mv_Y_block_y.

## ◆ PicX()

int dirac_instr::DrawPictureMotionParams::PicX | ( |  | ) | const
| inline

References m_pic_x.

## ◆ PicY()

int dirac_instr::DrawPictureMotionParams::PicY | ( |  | ) | const
| inline

References m_pic_y.

## ◆ SetChromaFactorX()

void dirac_instr::DrawPictureMotionParams::SetChromaFactorX | ( | int | x | ) |
| inline

References m_chroma_factor_x.

## ◆ SetChromaFactorY()

void dirac_instr::DrawPictureMotionParams::SetChromaFactorY | ( | int | y | ) |
| inline

References m_chroma_factor_y.

## ◆ SetMvUVBlockX()

void dirac_instr::DrawPictureMotionParams::SetMvUVBlockX | ( | int | x | ) |
| inline

References m_mv_UV_block_x.

## ◆ SetMvUVBlockY()

void dirac_instr::DrawPictureMotionParams::SetMvUVBlockY | ( | int | y | ) |
| inline

References m_mv_UV_block_y.

## ◆ SetMvYBlockX()

void dirac_instr::DrawPictureMotionParams::SetMvYBlockX | ( | int | x | ) |
| inline

References m_mv_Y_block_x.

## ◆ SetMvYBlockY()

void dirac_instr::DrawPictureMotionParams::SetMvYBlockY | ( | int | y | ) |
| inline

References m_mv_Y_block_y.

## ◆ SetPicX()

void dirac_instr::DrawPictureMotionParams::SetPicX | ( | int | x | ) |
| inline

References m_pic_x.

## ◆ SetPicY()

void dirac_instr::DrawPictureMotionParams::SetPicY | ( | int | y | ) |
| inline

References m_pic_y.

## Member Data Documentation

## ◆ m_chroma_factor_x

int dirac_instr::DrawPictureMotionParams::m_chroma_factor_x
| private

Referenced by ChromaFactorX(), and SetChromaFactorX().

## ◆ m_chroma_factor_y

int dirac_instr::DrawPictureMotionParams::m_chroma_factor_y
| private

Referenced by ChromaFactorY(), and SetChromaFactorY().

## ◆ m_mv_UV_block_x

int dirac_instr::DrawPictureMotionParams::m_mv_UV_block_x
| private

Referenced by MvUVBlockX(), and SetMvUVBlockX().

## ◆ m_mv_UV_block_y

int dirac_instr::DrawPictureMotionParams::m_mv_UV_block_y
| private

Referenced by MvUVBlockY(), and SetMvUVBlockY().

## ◆ m_mv_Y_block_x

int dirac_instr::DrawPictureMotionParams::m_mv_Y_block_x
| private

Referenced by MvYBlockX(), and SetMvYBlockX().

## ◆ m_mv_Y_block_y

int dirac_instr::DrawPictureMotionParams::m_mv_Y_block_y
| private

Referenced by MvYBlockY(), and SetMvYBlockY().

## ◆ m_pic_x

int dirac_instr::DrawPictureMotionParams::m_pic_x
| private

Referenced by PicX(), and SetPicX().

## ◆ m_pic_y

int dirac_instr::DrawPictureMotionParams::m_pic_y
| private

Referenced by PicY(), and SetPicY().

The documentation for this class was generated from the following file:

- draw_overlay.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.